GCOV2PERL(1)

NAME
gcov2perl - convert gcov files to Devel::Cover databases

VERSION
version 1.45

SYNOPSIS
 gcov2perl -h -i -v -db database gcov_files

DESCRIPTION
Convert gcov files to Devel::Cover databases.

OPTIONS
The following command line options are supported:

 -db database    - specify the database to use

 -h -help        - show help
 -i -info        - show documentation
 -v -version     - show version

DETAILS
To obtain coverage of XS files they must first be compiled with the appropriate options. In a standard Makefile environment, such as that created by ExtUtils::MakeMaker, this can be accomplished with the command:

 HARNESS_PERL_SWITCHES=-MDevel::Cover make test \
   CCFLAGS=-O0\ -fprofile-arcs\ -ftest-coverage \
   OTHERLDFLAGS=-fprofile-arcs\ -ftest-coverage

If you have already built your object files it may be necessary to run make clean first, or to find some other way to ensure that they get rebuilt with the options gcov requires.

Now the code coverage data has been collected "gcov" needs to be run:

 gcov Mylib.xs

This will create one or more gcov files on which you can run "gcov2perl":

 gcov2perl Mylib.xs.gcov

Finally, "cover" should be run as usual with any options required:

 cover

If you are running everything with standard options, you can do all this with one command:

 cover -test

EXIT STATUS
The following exit values are returned:

 0   All files converted successfully
 >0  An error occurred.

SEE ALSO
 Devel::Cover

BUGS
Huh?

LICENCE
Copyright 2001-2025, Paul Johnson (paul@pjcj.net)

This software is free. It is licensed under the same terms as Perl itself.

The latest version of this software should be available from my homepage: http://www.pjcj.net